This is a utility for generating mask layers from a layout.  Data is read in using standard EDA formats (GDSII, CIF, or DXF).  A series of expressions specifying a combination of set operations (union, intersection, difference, and XOR) and geometry operations (bloat or shrink) on the polygons are used to generate new layers.  The resulting layers are output to an EDA format (GDSII, CIF, or DXF).